//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.8-b130911.1802 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2023.02.04 at 11:26:18 PM CET 
//


package com.zakon.intelektualnasvojina.model.p1Obrazac;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for Podnosilac_prijave complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="Podnosilac_prijave">
 *   &lt;complexContent>
 *     &lt;extension base="{https://www.serviszaradsapatentima.rs}Covek">
 *       &lt;sequence>
 *         &lt;element name="Drzavljanstvo" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *       &lt;attribute name="Podnosilac_prijave_je_i_pronalazac" type="{http://www.w3.org/2001/XMLSchema}boolean" default="false" />
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "Podnosilac_prijave", propOrder = {
    "drzavljanstvo"
})
public class PodnosilacPrijave
    extends Covek
{

    @XmlElement(name = "Drzavljanstvo")
    protected String drzavljanstvo;
    @XmlAttribute(name = "Podnosilac_prijave_je_i_pronalazac")
    protected Boolean podnosilacPrijaveJeIPronalazac;

    /**
     * Gets the value of the drzavljanstvo property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDrzavljanstvo() {
        return drzavljanstvo;
    }

    /**
     * Sets the value of the drzavljanstvo property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDrzavljanstvo(String value) {
        this.drzavljanstvo = value;
    }

    /**
     * Gets the value of the podnosilacPrijaveJeIPronalazac property.
     * 
     * @return
     *     possible object is
     *     {@link Boolean }
     *     
     */
    public boolean isPodnosilacPrijaveJeIPronalazac() {
        if (podnosilacPrijaveJeIPronalazac == null) {
            return false;
        } else {
            return podnosilacPrijaveJeIPronalazac;
        }
    }

    /**
     * Sets the value of the podnosilacPrijaveJeIPronalazac property.
     * 
     * @param value
     *     allowed object is
     *     {@link Boolean }
     *     
     */
    public void setPodnosilacPrijaveJeIPronalazac(Boolean value) {
        this.podnosilacPrijaveJeIPronalazac = value;
    }

}
